Unimport a single file

Unimport a single file#

Description#

Unimports the provided file from the provided table. Returns a 409 if the file is not in an imported state, or a 404 if the file can’t be found.

DELETE /api/v1/table/{tableId}/import/{fileId}

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

tableId

path

string

true

The unique identifier of the table

fileId

path

string

true

The unique identifier of the file

force

query

string

false

If true, unimports and deletes file from the table

Code Samples#

curl -X DELETE https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}/import/{fileId} \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http DELETE https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}/import/{fileId} \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=DELETE "https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}/import/{fileId}" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.delete('https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}/import/{fileId}', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with a body property, which contains a FileMetaDto object for the unimported file.

Example Responses#

{
  "body": {
    "columnMappings": {},
    "created": "string",
    "delimiter": "string",
    "id": "string",
    "key": "string",
    "metadata": {},
    "name": "string",
    "numErrors": "integer",
    "numRecords": "integer",
    "originalFileSize": "integer",
    "source": "string",
    "status": "string",
    "tableId": "string",
    "tags": {},
    "updated": "string",
    "userId": "string",
    "version": "integer"
  },
  "code": "integer"
}